<?xml version="1.0" encoding="UTF-8"?>
<issues format="6" by="lint 7.2.2" type="baseline" client="gradle" dependencies="false" name="AGP (7.2.2)" variant="all" version="7.2.2">

    <issue
        id="OldTargetApi"
        message="Not targeting the latest versions of Android; compatibility modes apply. Consider testing and updating this version. Consult the android.os.Build.VERSION_CODES javadoc for details."
        errorLine1="        targetSdkVersion 32"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~">
        <location
            file="build.gradle"
            line="22"
            column="9"/>
    </issue>

    <issue
        id="UnusedAttribute"
        message="Attribute `networkSecurityConfig` is only used in API level 24 and higher (current min is 21)"
        errorLine1="        android:networkSecurityConfig=&quot;@xml/network_security_config&quot;"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/AndroidManifest.xml"
            line="11"
            column="9"/>
    </issue>

    <issue
        id="UnusedAttribute"
        message="Attribute `usesCleartextTraffic` is only used in API level 23 and higher (current min is 21)"
        errorLine1="        android:usesCleartextTraffic=&quot;true&quot;"
        errorLine2="        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/AndroidManifest.xml"
            line="12"
            column="9"/>
    </issue>

    <issue
        id="NonConstantResourceId"
        message="Resource IDs will be non-final by default in Android Gradle Plugin version 8.0, avoid using them in switch case statements"
        errorLine1="                    case R.id.share:"
        errorLine2="                         ~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/ui/BookmarksRecyclerViewAdapter.java"
            line="160"
            column="26"/>
    </issue>

    <issue
        id="NonConstantResourceId"
        message="Resource IDs will be non-final by default in Android Gradle Plugin version 8.0, avoid using them in switch case statements"
        errorLine1="                    case R.id.edit_menu:"
        errorLine2="                         ~~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/ui/BookmarksRecyclerViewAdapter.java"
            line="167"
            column="26"/>
    </issue>

    <issue
        id="NonConstantResourceId"
        message="Resource IDs will be non-final by default in Android Gradle Plugin version 8.0, avoid using them in switch case statements"
        errorLine1="                    case R.id.delete_menu:"
        errorLine2="                         ~~~~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/ui/BookmarksRecyclerViewAdapter.java"
            line="174"
            column="26"/>
    </issue>

    <issue
        id="NonConstantResourceId"
        message="Resource IDs will be non-final by default in Android Gradle Plugin version 8.0, avoid using them in switch case statements"
        errorLine1="            case R.id.action_change_login:"
        errorLine2="                 ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/MainActivity.java"
            line="413"
            column="18"/>
    </issue>

    <issue
        id="NonConstantResourceId"
        message="Resource IDs will be non-final by default in Android Gradle Plugin version 8.0, avoid using them in switch case statements"
        errorLine1="            case R.id.action_reload_icons:"
        errorLine2="                 ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/MainActivity.java"
            line="424"
            column="18"/>
    </issue>

    <issue
        id="NonConstantResourceId"
        message="Resource IDs will be non-final by default in Android Gradle Plugin version 8.0, avoid using them in switch case statements"
        errorLine1="            case R.id.action_backup_data:"
        errorLine2="                 ~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/MainActivity.java"
            line="429"
            column="18"/>
    </issue>

    <issue
        id="NonConstantResourceId"
        message="Resource IDs will be non-final by default in Android Gradle Plugin version 8.0, avoid using them in switch case statements"
        errorLine1="                        case R.id.edit_menu:"
        errorLine2="                             ~~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/ui/TagsRecyclerViewAdapter.java"
            line="149"
            column="30"/>
    </issue>

    <issue
        id="NonConstantResourceId"
        message="Resource IDs will be non-final by default in Android Gradle Plugin version 8.0, avoid using them in switch case statements"
        errorLine1="                        case R.id.delete_menu:"
        errorLine2="                             ~~~~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/ui/TagsRecyclerViewAdapter.java"
            line="152"
            column="30"/>
    </issue>

    <issue
        id="AcceptsUserCertificates"
        message="The Network Security Configuration allows the use of user certificates in the release version of your app"
        errorLine1="            &lt;certificates src=&quot;user&quot;/>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/xml/network_security_config.xml"
            line="10"
            column="13"/>
    </issue>

    <issue
        id="NotifyDataSetChanged"
        message="It will always be more efficient to use more specific change events if you can. Rely on `notifyDataSetChanged` as a last resort."
        errorLine1="                            notifyDataSetChanged();"
        errorLine2="                            ~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/ui/TagsRecyclerViewAdapter.java"
            line="153"
            column="29"/>
    </issue>

    <issue
        id="NotifyDataSetChanged"
        message="It will always be more efficient to use more specific change events if you can. Rely on `notifyDataSetChanged` as a last resort."
        errorLine1="                                notifyDataSetChanged();"
        errorLine2="                                ~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/ui/TagsRecyclerViewAdapter.java"
            line="186"
            column="33"/>
    </issue>

    <issue
        id="NotifyDataSetChanged"
        message="It will always be more efficient to use more specific change events if you can. Rely on `notifyDataSetChanged` as a last resort."
        errorLine1="                            notifyDataSetChanged();"
        errorLine2="                            ~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/ui/TagsRecyclerViewAdapter.java"
            line="215"
            column="29"/>
    </issue>

    <issue
        id="StaticFieldLeak"
        message="This `AsyncTask` class should be static or leaks might occur (anonymous android.os.AsyncTask)"
        errorLine1="        AsyncTask&lt;Void, Void, String> updateTask = new AsyncTask&lt;Void, Void, String>() {"
        errorLine2="                                                   ^">
        <location
            file="src/main/java/org/schabi/ocbookmarks/AddBookmarkActivity.java"
            line="63"
            column="52"/>
    </issue>

    <issue
        id="StaticFieldLeak"
        message="This `AsyncTask` class should be static or leaks might occur (org.schabi.ocbookmarks.LoginAcitivty.TestLoginTask)"
        errorLine1="    private class TestLoginTask extends AsyncTask&lt;LoginData, Void, Integer> {"
        errorLine2="                  ~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/LoginAcitivty.java"
            line="132"
            column="19"/>
    </issue>

    <issue
        id="StaticFieldLeak"
        message="This `AsyncTask` class should be static or leaks might occur (org.schabi.ocbookmarks.MainActivity.RelodDataTask)"
        errorLine1="    private class RelodDataTask extends AsyncTask&lt;Void, Void, Bookmark[]&gt; {"
        errorLine2="                  ~~~~~~~~~~~~~">
        <location
            file="src/main/java/org/schabi/ocbookmarks/MainActivity.java"
            line="454"
            column="19"/>
    </issue>

    <issue
        id="UseCompoundDrawables"
        message="This tag and its children can be replaced by one `&lt;TextView/>` and a compound drawable"
        errorLine1="    &lt;LinearLayout"
        errorLine2="     ~~~~~~~~~~~~">
        <location
            file="src/main/res/layout/activity_login.xml"
            line="58"
            column="6"/>
    </issue>

    <issue
        id="VectorPath"
        message="Very long vector path (904 characters), which is bad for performance. Considering reducing precision, removing minor details or rasterizing vector."
        errorLine1="    &lt;path android:fillColor=&quot;@android:color/white&quot; android:pathData=&quot;M19.14,12.94c0.04,-0.3 0.06,-0.61 0.06,-0.94c0,-0.32 -0.02,-0.64 -0.07,-0.94l2.03,-1.58c0.18,-0.14 0.23,-0.41 0.12,-0.61l-1.92,-3.32c-0.12,-0.22 -0.37,-0.29 -0.59,-0.22l-2.39,0.96c-0.5,-0.38 -1.03,-0.7 -1.62,-0.94L14.4,2.81c-0.04,-0.24 -0.24,-0.41 -0.48,-0.41h-3.84c-0.24,0 -0.43,0.17 -0.47,0.41L9.25,5.35C8.66,5.59 8.12,5.92 7.63,6.29L5.24,5.33c-0.22,-0.08 -0.47,0 -0.59,0.22L2.74,8.87C2.62,9.08 2.66,9.34 2.86,9.48l2.03,1.58C4.84,11.36 4.8,11.69 4.8,12s0.02,0.64 0.07,0.94l-2.03,1.58c-0.18,0.14 -0.23,0.41 -0.12,0.61l1.92,3.32c0.12,0.22 0.37,0.29 0.59,0.22l2.39,-0.96c0.5,0.38 1.03,0.7 1.62,0.94l0.36,2.54c0.05,0.24 0.24,0.41 0.48,0.41h3.84c0.24,0 0.44,-0.17 0.47,-0.41l0.36,-2.54c0.59,-0.24 1.13,-0.56 1.62,-0.94l2.39,0.96c0.22,0.08 0.47,0 0.59,-0.22l1.92,-3.32c0.12,-0.22 0.07,-0.47 -0.12,-0.61L19.14,12.94zM12,15.6c-1.98,0 -3.6,-1.62 -3.6,-3.6s1.62,-3.6 3.6,-3.6s3.6,1.62 3.6,3.6S13.98,15.6 12,15.6z&quot;/>"
        errorLine2="                                                                     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/drawable/ic_settings.xml"
            line="4"
            column="70"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.color.ic_launcher_background` appears to be unused"
        errorLine1="    &lt;color name=&quot;ic_launcher_background&quot;>#1C2A42&lt;/color>"
        errorLine2="           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/ic_launcher_background.xml"
            line="3"
            column="12"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.drawable.ic_round_sort_by_alphabet` appears to be unused"
        errorLine1="&lt;vector android:height=&quot;24dp&quot; android:tint=&quot;#FFFFFF&quot;"
        errorLine2="^">
        <location
            file="src/main/res/drawable/ic_round_sort_by_alphabet.xml"
            line="1"
            column="1"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.drawable.ic_star` appears to be unused"
        errorLine1="&lt;vector android:height=&quot;24dp&quot; android:tint=&quot;#FFFFFF&quot;"
        errorLine2="^">
        <location
            file="src/main/res/drawable/ic_star.xml"
            line="1"
            column="1"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.drawable.logo_nc` appears to be unused">
        <location
            file="src/main/res/drawable/logo_nc.png"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.mipmap.nextcloud` appears to be unused">
        <location
            file="src/main/res/mipmap-xhdpi/nextcloud.png"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.login_url` appears to be unused"
        errorLine1="    &lt;string translatable=&quot;false&quot; name=&quot;login_url&quot;>login_url&lt;/string>"
        errorLine2="                                 ~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/settings_keys.xml"
            line="3"
            column="34"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.login_user` appears to be unused"
        errorLine1="    &lt;string translatable=&quot;false&quot; name=&quot;login_user&quot;>login_user&lt;/string>"
        errorLine2="                                 ~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/settings_keys.xml"
            line="4"
            column="34"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.login_pwd` appears to be unused"
        errorLine1="    &lt;string translatable=&quot;false&quot; name=&quot;login_pwd&quot;>login_password&lt;/string>"
        errorLine2="                                 ~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/settings_keys.xml"
            line="5"
            column="34"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.login_token` appears to be unused"
        errorLine1="    &lt;string translatable=&quot;false&quot; name=&quot;login_token&quot;>login_token&lt;/string>"
        errorLine2="                                 ~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/settings_keys.xml"
            line="6"
            column="34"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.drawable.shadow` appears to be unused"
        errorLine1="&lt;shape"
        errorLine2="^">
        <location
            file="src/main/res/drawable/shadow.xml"
            line="3"
            column="1"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.oc_bookmark_login` appears to be unused"
        errorLine1="    &lt;string name=&quot;oc_bookmark_login&quot;>&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="5"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.loginUserHint` appears to be unused"
        errorLine1="    &lt;string name=&quot;loginUserHint&quot;>Username&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="11"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.loginPasswordHint` appears to be unused"
        errorLine1="    &lt;string name=&quot;loginPasswordHint&quot;>Password&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="12"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.loginUrlHint` appears to be unused"
        errorLine1="    &lt;string name=&quot;loginUrlHint&quot;>Server address https://&amp;#8230;&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="13"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.connect` appears to be unused"
        errorLine1="    &lt;string name=&quot;connect&quot;>Sign in&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="14"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.login_manual` appears to be unused"
        errorLine1="    &lt;string name=&quot;login_manual&quot;>Login&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="16"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.add_tags` appears to be unused"
        errorLine1="    &lt;string name=&quot;add_tags&quot;>Add tags:&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="27"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.could_not_update_tag` appears to be unused"
        errorLine1="    &lt;string name=&quot;could_not_update_tag&quot;>Could not update tag.&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="31"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.could_not_delete_tag` appears to be unused"
        errorLine1="    &lt;string name=&quot;could_not_delete_tag&quot;>Could not delete tag.&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="32"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.no_title_entered` appears to be unused"
        errorLine1="    &lt;string name=&quot;no_title_entered&quot;>No title entered&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="34"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.not_yet_logged_in` appears to be unused"
        errorLine1="    &lt;string name=&quot;not_yet_logged_in&quot;>You are not yet logged in.&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="39"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.email_subject` appears to be unused"
        errorLine1="    &lt;string name=&quot;email_subject&quot;>Nextcloud bookmarks help!&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="52"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.email_body` appears to be unused"
        errorLine1="    &lt;string name=&quot;email_body&quot;>Please explain the issue below&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="53"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.support_email` appears to be unused"
        errorLine1="    &lt;string name=&quot;support_email&quot;>support@nextcloud-bookmarks.com&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="54"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.send_email` appears to be unused"
        errorLine1="    &lt;string name=&quot;send_email&quot;>Send Email&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="55"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.E_mail` appears to be unused"
        errorLine1="    &lt;string name=&quot;E_mail&quot;>E-mail&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="56"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.content_desc_show_password` appears to be unused"
        errorLine1="    &lt;string name=&quot;content_desc_show_password&quot;>show password&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="57"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.search_active` appears to be unused"
        errorLine1="    &lt;string name=&quot;search_active&quot;>Searching:&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="71"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.title_activity_settings` appears to be unused"
        errorLine1="    &lt;string name=&quot;title_activity_settings&quot;>SettingsActivity&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="72"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.messages_header` appears to be unused"
        errorLine1="    &lt;string name=&quot;messages_header&quot;>Messages&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="75"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.sync_header` appears to be unused"
        errorLine1="    &lt;string name=&quot;sync_header&quot;>Sync&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="76"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.signature_title` appears to be unused"
        errorLine1="    &lt;string name=&quot;signature_title&quot;>Your signature&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="79"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.reply_title` appears to be unused"
        errorLine1="    &lt;string name=&quot;reply_title&quot;>Default reply action&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="80"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.sync_title` appears to be unused"
        errorLine1="    &lt;string name=&quot;sync_title&quot;>Sync email periodically&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="83"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.attachment_title` appears to be unused"
        errorLine1="    &lt;string name=&quot;attachment_title&quot;>Download incoming attachments&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="84"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.attachment_summary_on` appears to be unused"
        errorLine1="    &lt;string name=&quot;attachment_summary_on&quot;>Automatically download attachments for incoming emails"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="85"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.attachment_summary_off` appears to be unused"
        errorLine1="    &lt;string name=&quot;attachment_summary_off&quot;>Only download attachments when manually requested&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="87"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.title_activity_contributor` appears to be unused"
        errorLine1="    &lt;string name=&quot;title_activity_contributor&quot;>ContributorActivity&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="96"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.first_fragment_label` appears to be unused"
        errorLine1="    &lt;string name=&quot;first_fragment_label&quot;>First Fragment&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="98"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.second_fragment_label` appears to be unused"
        errorLine1="    &lt;string name=&quot;second_fragment_label&quot;>Second Fragment&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="99"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.next` appears to be unused"
        errorLine1="    &lt;string name=&quot;next&quot;>Next&lt;/string>"
        errorLine2="            ~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="100"
            column="13"/>
    </issue>

    <issue
        id="UnusedResources"
        message="The resource `R.string.previous` appears to be unused"
        errorLine1="    &lt;string name=&quot;previous&quot;>Previous&lt;/string>"
        errorLine2="            ~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="101"
            column="13"/>
    </issue>

    <issue
        id="UselessParent"
        message="This `LinearLayout` layout or its `LinearLayout` parent is unnecessary"
        errorLine1="    &lt;LinearLayout"
        errorLine2="     ~~~~~~~~~~~~">
        <location
            file="src/main/res/layout/activity_add_bookmark.xml"
            line="7"
            column="6"/>
    </issue>

    <issue
        id="UselessParent"
        message="This `LinearLayout` layout or its `LinearLayout` parent is unnecessary; transfer the `background` attribute to the other view"
        errorLine1="        &lt;LinearLayout"
        errorLine2="         ~~~~~~~~~~~~">
        <location
            file="src/main/res/layout/activity_add_bookmark.xml"
            line="13"
            column="10"/>
    </issue>

    <issue
        id="TypographyEllipsis"
        message="Replace &quot;...&quot; with ellipsis character (…, &amp;#8230;) ?"
        errorLine1="    &lt;string name=&quot;add_bookmark_title&quot;>Adding...&lt;/string>"
        errorLine2="                                      ~~~~~~~~~">
        <location
            file="src/main/res/values/strings.xml"
            line="113"
            column="39"/>
    </issue>

    <issue
        id="IconLocation"
        message="Found bitmap drawable `res/drawable/logo_bookmarks.png` in densityless folder">
        <location
            file="src/main/res/drawable/logo_bookmarks.png"/>
    </issue>

    <issue
        id="IconLocation"
        message="Found bitmap drawable `res/drawable/logo_nc.png` in densityless folder">
        <location
            file="src/main/res/drawable/logo_nc.png"/>
    </issue>

    <issue
        id="IconDuplicates"
        message="The following unrelated icon files have identical contents: ic_launcher.png, ic_launcher_round.png">
        <location
            file="src/main/res/mipmap-hdpi/ic_launcher_round.png"/>
        <location
            file="src/main/res/mipmap-hdpi/ic_launcher.png"/>
    </issue>

    <issue
        id="IconDuplicates"
        message="The following unrelated icon files have identical contents: ic_launcher.png, ic_launcher_round.png">
        <location
            file="src/main/res/mipmap-mdpi/ic_launcher_round.png"/>
        <location
            file="src/main/res/mipmap-mdpi/ic_launcher.png"/>
    </issue>

    <issue
        id="IconDuplicates"
        message="The following unrelated icon files have identical contents: ic_launcher.png, ic_launcher_round.png">
        <location
            file="src/main/res/mipmap-xhdpi/ic_launcher_round.png"/>
        <location
            file="src/main/res/mipmap-xhdpi/ic_launcher.png"/>
    </issue>

    <issue
        id="IconDuplicates"
        message="The following unrelated icon files have identical contents: ic_launcher.png, ic_launcher_round.png">
        <location
            file="src/main/res/mipmap-xxhdpi/ic_launcher_round.png"/>
        <location
            file="src/main/res/mipmap-xxhdpi/ic_launcher.png"/>
    </issue>

    <issue
        id="IconDuplicates"
        message="The following unrelated icon files have identical contents: ic_launcher.png, ic_launcher_round.png">
        <location
            file="src/main/res/mipmap-xxxhdpi/ic_launcher_round.png"/>
        <location
            file="src/main/res/mipmap-xxxhdpi/ic_launcher.png"/>
    </issue>

    <issue
        id="KtxExtensionAvailable"
        message="Add suffix `-ktx` to enable the Kotlin extensions for this library"
        errorLine1="    implementation &apos;androidx.preference:preference:1.2.0&apos;"
        errorLine2="                   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="build.gradle"
            line="83"
            column="20"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="            &lt;ImageView"
        errorLine2="             ~~~~~~~~~">
        <location
            file="src/main/res/layout/activity_add_bookmark.xml"
            line="20"
            column="14"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="        &lt;ImageView"
        errorLine2="         ~~~~~~~~~">
        <location
            file="src/main/res/layout/activity_login.xml"
            line="69"
            column="10"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="                &lt;ImageButton"
        errorLine2="                 ~~~~~~~~~~~">
        <location
            file="src/main/res/layout/app_bar_main.xml"
            line="65"
            column="18"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="    &lt;ImageView"
        errorLine2="     ~~~~~~~~~">
        <location
            file="src/main/res/layout/bookmark_list_item.xml"
            line="11"
            column="6"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="    &lt;ImageView"
        errorLine2="     ~~~~~~~~~">
        <location
            file="src/main/res/layout/bookmark_list_item_folder.xml"
            line="12"
            column="6"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="    &lt;ImageView"
        errorLine2="     ~~~~~~~~~">
        <location
            file="src/main/res/layout/bookmark_list_item_folder.xml"
            line="22"
            column="6"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="    &lt;com.google.android.material.floatingactionbutton.FloatingActionButton"
        errorLine2="     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/layout/content_main.xml"
            line="33"
            column="6"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="                &lt;ImageButton"
        errorLine2="                 ~~~~~~~~~~~">
        <location
            file="src/main/res/layout/edit_bookmark_dialog.xml"
            line="106"
            column="18"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="            &lt;ImageView"
        errorLine2="             ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="38"
            column="14"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="            &lt;ImageView"
        errorLine2="             ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="67"
            column="14"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="            &lt;ImageView"
        errorLine2="             ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="96"
            column="14"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="                    &lt;ImageView"
        errorLine2="                     ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="148"
            column="22"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="                    &lt;ImageView"
        errorLine2="                     ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="162"
            column="22"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="                    &lt;ImageView"
        errorLine2="                     ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="178"
            column="22"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="                    &lt;ImageView"
        errorLine2="                     ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="192"
            column="22"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="                    &lt;ImageView"
        errorLine2="                     ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="208"
            column="22"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="                    &lt;ImageView"
        errorLine2="                     ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="222"
            column="22"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="                    &lt;ImageView"
        errorLine2="                     ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="238"
            column="22"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="                    &lt;ImageView"
        errorLine2="                     ~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="252"
            column="22"/>
    </issue>

    <issue
        id="ContentDescription"
        message="Missing `contentDescription` attribute on image"
        errorLine1="            &lt;ImageView"
        errorLine2="             ~~~~~~~~~">
        <location
            file="src/main/res/layout/tag_list_item.xml"
            line="39"
            column="14"/>
    </issue>

    <issue
        id="HardcodedText"
        message="Hardcoded string &quot;Example&quot;, should use `@string` resource"
        errorLine1="            android:text=&quot;Example&quot;"
        errorLine2="            ~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/layout/bookmark_list_item.xml"
            line="35"
            column="13"/>
    </issue>

    <issue
        id="HardcodedText"
        message="Hardcoded string &quot;Biswajit Das&quot;, should use `@string` resource"
        errorLine1="                        android:text=&quot;Biswajit Das&quot; />"
        errorLine2="                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="160"
            column="25"/>
    </issue>

    <issue
        id="HardcodedText"
        message="Hardcoded string &quot;Christian Schabesberger&quot;, should use `@string` resource"
        errorLine1="                        android:text=&quot;Christian Schabesberger&quot; />"
        errorLine2="                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="190"
            column="25"/>
    </issue>

    <issue
        id="HardcodedText"
        message="Hardcoded string &quot;Stefan Niedermann&quot;, should use `@string` resource"
        errorLine1="                        android:text=&quot;Stefan Niedermann&quot; />"
        errorLine2="                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="220"
            column="25"/>
    </issue>

    <issue
        id="HardcodedText"
        message="Hardcoded string &quot;Felix Nüsse&quot;, should use `@string` resource"
        errorLine1="                        android:text=&quot;Felix Nüsse&quot; />"
        errorLine2="                        ~~~~~~~~~~~~~~~~~~~~~~~~~~">
        <location
            file="src/main/res/layout/fragment_about.xml"
            line="250"
            column="25"/>
    </issue>

</issues>
